Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetTopChats

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chats>
it.tdlight.jni.TdApi.GetTopChats

Enclosing class:
  TdApi

public static final class TdApi.GetTopChats extends TdApi.Function<TdApi.Chats>
Returns a list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Chats`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.TopChatCategory`
`category`
Category of chats to be returned.
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of chats to be returned; up to 30.

## Constructor Summary

Constructors
Constructor
Description
`GetTopChats()`
Returns a list of frequently used chats.
`GetTopChats(TdApi.TopChatCategory category, int limit)`
Returns a list of frequently used chats.
`GetTopChats(DataInput input)`
Returns a list of frequently used chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### category

public TdApi.TopChatCategory category
Category of chats to be returned.

### limit

public int limit
The maximum number of chats to be returned; up to 30.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetTopChats

public GetTopChats()
Returns a list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Chats`

### GetTopChats

public GetTopChats(TdApi.TopChatCategory category, int limit)
Returns a list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Chats`

Parameters:
  `category` - TopChatCategory Category of chats to be returned.
  `limit` - int The maximum number of chats to be returned; up to 30.

### GetTopChats

public GetTopChats(DataInput input) throws IOException
Returns a list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Chats`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`